.text-with-video {
    .text-container {
        .block-title {
            @apply text-black;
            font-family: "Drina";
        }
    }

    .carousel {
        .slick-dots {
            top: 15px;
        }

        .item {
            .flex {
                @include media(md) {
                    flex-direction: column;
                }

                &.video-position-right {
                    flex-direction: row-reverse;

                    @include media(md) {
                        flex-direction: column;
                    }

                    .video-container {
                        margin-left: 0px;
                        margin-right: 0px;

                        @include media(md) {
                            margin-left: 0;
                            margin-top:25px;
                        }
                        
                        video {
                            float: right;
                            flex-shrink: 0;
                        }
                    }
                }

                &.video-position-left {
                    @include media(md) {
                        flex-direction: column-reverse;
                    }

                    .video-container {
                        margin-right: 25px;

                        @include media(md) {
                            margin-right: 0;
                            margin-bottom:25px;
                        }
                    }
                }

                .text-container {
                    width: 49%;
                    margin-right: 0px;
                    align-self: center;

                    @include media(md) {
                        width: 100%;
                        margin: 0;
                    }

                    .block-title {
                        @include media(md) {
                            padding-top: 8px;
                            margin-bottom: 20px;
                        }
                    }

                    a.btn {
                        margin-top: 50px;

                        @include media(md) {
                            margin-top: 20px;
                        }
                    }

                    .text {
                        p {
                            font-size: 1.5rem;

                            &:last-child {
                                margin-bottom: 0;
                            }
                        }
                    }
                }

                .video-container {
                    display: flex;
                    flex-direction: column;
                    width: 50%;
                    
                    @include media(md) {
                        width: 100%;
                    }

                    .progress-timer {
                        align-self: flex-end;
                        margin-right: 1px;

                        @include media(md) {
                            margin-top: 40px;
                        }
                    }

                    video, img{
                        margin-top: 65px;
                        flex-shrink: 0;
                        
                        @include media(md) {
                            margin-top: 0px;
                        }
                    }
                    img{
                        @include media(md){
                            padding: 1rem 0;
                        }
                    }
                }
            }
        }
    }
}